# Class CSLoggingPatternLayout

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.LayoutBase<ch.qos.logback.classic.spi.ILoggingEvent>
com.io7m.certusine.cmdline.CSLoggingPatternLayout

All Implemented Interfaces:
  `ch.qos.logback.core.Layout<ch.qos.logback.classic.spi.ILoggingEvent>, ch.qos.logback.core.spi.ContextAware, ch.qos.logback.core.spi.LifeCycle`

public final class CSLoggingPatternLayout extends ch.qos.logback.core.LayoutBase<ch.qos.logback.classic.spi.ILoggingEvent>
A dynamic logging pattern based on MDC values.

- ## Field Summary

  ### Fields inherited from class ch.qos.logback.core.LayoutBase

  `started`

  ### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

  `context`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CSLoggingPatternLayout()`
  A dynamic logging pattern based on MDC values.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `doLayout(ch.qos.logback.classic.spi.ILoggingEvent event)`

  ### Methods inherited from class ch.qos.logback.core.LayoutBase

  `getContentType, getContext, getFileFooter, getFileHeader, getPresentationFooter, getPresentationHeader, isStarted, setContext, setFileFooter, setFileHeader, setPresentationFooter, setPresentationHeader, start, stop`

  ### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

  `addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getDeclaredOrigin, getStatusManager`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

  `addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn`

- ## Constructor Details

  - ### CSLoggingPatternLayout

    public CSLoggingPatternLayout()
    A dynamic logging pattern based on MDC values.

- ## Method Details

  - ### doLayout

    public String doLayout(ch.qos.logback.classic.spi.ILoggingEvent event)